Skip to content

Installation Tokens

The Installation Tokens service collection provides operations for managing installation tokens and auditing token activity. Create, read, update, and delete installation tokens, manage customer token settings, and query audit events.

LanguageLast Update
Pythonv1.4.6
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
audit_events_read
audit_events_read
Gets the details of one or more audit events by id.
customer_settings_read
customer_settings_read
Check current installation token settings.
customer_settings_update
customer_settings_update
Update installation token settings.
tokens_read
tokens_read
Gets the details of one or more tokens by id.
tokens_create
tokens_create
Creates a token.
tokens_delete
tokens_delete
Deletes a token immediately. To revoke a token, use tokens_update instead.
tokens_update
tokens_update
Updates one or more tokens. Use this endpoint to edit labels, change expiration, revoke, or restore.
audit_events_query
audit_events_query
Search for audit events by providing a FQL filter and paging details.
tokens_query
tokens_query
Search for tokens by providing a FQL filter and paging details.

Gets the details of one or more audit events by id.

GET /installation-tokens/entities/audit-events/v1
Scope Installation Tokens: READ Consumes · Produces application/json
PEP 8 audit_events_read
NameTypeData typeDescription
idsquerystring or list of stringsID(s) of the audit events to retrieve details for.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.audit_events_read(ids=id_list)
print(response)

Check current installation token settings.

GET /installation-tokens/entities/customer-settings/v1
Scope Installation Tokens: READ Consumes · Produces application/json
PEP 8 customer_settings_read

No keywords or arguments accepted.

from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.customer_settings_read()
print(response)

Update installation token settings.

PATCH /installation-tokens/entities/customer-settings/v1
Scope Installation Tokens Settings: WRITE Consumes · Produces application/json
PEP 8 customer_settings_update
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
max_active_tokensbodyintegerMaximum number of active tokens.
tokens_requiredbodybooleanFlag indicating if tokens are required.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.customer_settings_update(max_active_tokens=integer,
tokens_required=boolean)
print(response)

Gets the details of one or more tokens by id.

GET /installation-tokens/entities/tokens/v1
Scope Installation Tokens: READ Consumes · Produces application/json
PEP 8 tokens_read
NameTypeData typeDescription
idsquerystring or list of stringsID(s) of the tokens to retrieve details for.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.tokens_read(ids=id_list)
print(response)

Creates a token.

POST /installation-tokens/entities/tokens/v1
Scope Installation Tokens: WRITE Consumes · Produces application/json
PEP 8 tokens_create
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
expires_timestampbodystringExpiration timestamp. UTC format.
labelbodystringInstallation token label.
revokedbodybooleanFlag indicating if the token is revoked.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.tokens_create(expires_timestamp="string",
label="string",
type="string")
print(response)

Deletes a token immediately. To revoke a token, use tokens_update instead.

DELETE /installation-tokens/entities/tokens/v1
Scope Installation Tokens: WRITE Consumes · Produces application/json
PEP 8 tokens_delete
NameTypeData typeDescription
idsquerystring or list of stringsID(s) of the tokens to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.tokens_delete(ids=id_list)
print(response)

Updates one or more tokens. Use this endpoint to edit labels, change expiration, revoke, or restore.

PATCH /installation-tokens/entities/tokens/v1
Scope Installation Tokens: WRITE Consumes · Produces application/json
PEP 8 tokens_update
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
expires_timestampbodystringExpiration timestamp. UTC format.
labelbodystringInstallation token label.
idsquerystring or list of stringsID(s) of the tokens to update.
parametersquerydictionaryFull query string parameters payload in JSON format.
revokedbodybooleanFlag indicating if the token is revoked.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.tokens_update(expires_timestamp="string",
ids=id_list,
label="string",
revoked=boolean)
print(response)

Search for audit events by providing a FQL filter and paging details.

GET /installation-tokens/queries/audit-events/v1
Scope Installation Tokens: READ Consumes · Produces application/json
PEP 8 audit_events_query
NameTypeData typeDescription
filterquerystringFQL formatted string used to limit the results.
limitqueryintegerMaximum number of records to return. (Max: 1000, Default: 10)
offsetqueryintegerStarting index of overall result set from which to return ids.
sortquerystringThe property to sort by. (Ex: timestamp.desc)
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.audit_events_query(filter="string",
limit=integer,
offset=integer,
sort="string")
print(response)

Search for tokens by providing a FQL filter and paging details.

GET /installation-tokens/queries/tokens/v1
Scope Installation Tokens: READ Consumes · Produces application/json
PEP 8 tokens_query
NameTypeData typeDescription
filterquerystringFQL formatted string used to limit the results.
limitqueryintegerMaximum number of records to return. (Max: 1000, Default: 10)
offsetqueryintegerStarting index of overall result set from which to return ids.
sortquerystringThe property to sort by. (Ex: created_timestamp.desc)
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import InstallationTokens
falcon = InstallationTokens(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.tokens_query(filter="string",
limit=integer,
offset=integer,
sort="string")
print(response)